SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces
peer.h File Reference

Declares RakPeer class. More...

`#include "ReliabilityLayer.h"`
`#include "peerinterface.h"`
`#include "BitStream.h"`
`#include "SingleProducerConsumer.h"`
`#include "SimpleMutex.h"`
`#include "DS_OrderedList.h"`
`#include "Export.h"`
`#include "string.h"`
`#include "thread.h"`
`#include "smartptr.h"`
`#include "DS_ThreadsafeAllocatingQueue.h"`
`#include "SignaledEvent.h"`
`#include "NativeFeatureIncludes.h"`
`#include "SecureHandshake.h"`
`#include "LocklessTypes.h"`
`#include "DS_Queue.h"`

Go to the source code of this file.

## Classes

struct | SLNet::RemoteSystemIndex
class | SLNet::RakPeer
| Main interface for network communications. More...
struct | SLNet::RakPeer::PingAndClockDifferential
struct | SLNet::RakPeer::RemoteSystemStruct
struct | SLNet::RakPeer::BanStruct
struct | SLNet::RakPeer::RequestedConnectionStruct
struct | SLNet::RakPeer::BufferedCommandStruct
struct | SLNet::RakPeer::SocketQueryOutput

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Detailed Description

Declares RakPeer class.

Definition in file peer.h.

## Class Documentation

struct SLNet::RemoteSystemIndex

Definition at line 52 of file peer.h.

Class Members
unsigned | index |
RemoteSystemIndex * | next |

struct SLNet::RakPeer::PingAndClockDifferential

Definition at line 660 of file peer.h.

Class Members
Time | clockDifferential |
unsigned short | pingTime |

struct SLNet::RakPeer::BanStruct

Definition at line 830 of file peer.h.

Class Members
char * | IP |
TimeMS | timeout |